> ## Documentation Index
> Fetch the complete documentation index at: https://docs.okeyproxy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign plan to sec-user

> Assign a rotating proxies plan to the specified sec-user.



## OpenAPI

````yaml POST /api/v2/secUser/addPlan
openapi: 3.0.1
info:
  title: okey
  description: ''
  version: 1.0.0
servers:
  - url: https://api.okeyproxy.com/ipglobal-api
security: []
tags: []
paths:
  /api/v2/secUser/addPlan:
    post:
      tags: []
      summary: Assign plan to sec-user
      description: Assign a rotating proxies plan to the specified sec-user.
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                secUsername:
                  type: string
                  title: ''
                  description: >-
                    Sec-user account. Letters and numbers only, up to 40
                    characters.
                proxyType:
                  type: integer
                  title: ''
                  description: >-
                    Rotating proxies type. 1 for Starter, 2 for Advanced, 3 for
                    Premium.
                traffic:
                  type: number
                  title: ''
                  description: Plan traffic (in GB)
                apiKey:
                  type: string
                  description: Agent API key used for authentication
              required:
                - secUsername
                - proxyType
                - traffic
                - apiKey
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  deductedAmount:
                    type: number
                    description: Deducted amount from Agent wallet
                  remainingBalance:
                    type: number
                    description: Remaining balance in Agent wallet
                required:
                  - deductedAmount
                  - remainingBalance
              example:
                deductedAmount: 8
                remainingBalance: 742.09
          headers: {}
      deprecated: false
      security: []

````